Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:   	The Bourne-Again SHell.
Name:      	bash
Version:   	4.1
Release:   	1
Epoch:		1
Provides:  	bash eval
License:   	GNU/GPL
URL:	   	http://www.gnu.org/software/bash
Group:     	Shells    
Source0:   	%{name}-%{version}.tar.gz
Patch0:		%{name}-4.1-patchsets.patch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildArch:	i686


%description
Bash is an sh-compatible shell that incorporates useful features from the Korn shell (ksh) and C shell (csh).
It is intended to conform to the IEEE POSIX P1003.2/ISO 9945.2 Shell and Tools standard.
It offers functional improvements over sh for both programming and interactive use.

%package doc
Summary:        %name documentation files.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}
Prereq(post,preun): /sbin/install-info

%description doc
Documentation files for %{name}.



%post doc
/sbin/install-info %_infodir/bash.info.gz %_infodir/dir 
 
%preun doc
if [ "$1" = 0 ]; then 
    /sbin/install-info --del %_infodir/bash.info.gz %_infodir/dir 
fi 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1

%build
./configure --exec-prefix=/ \
--prefix=%_prefix \
--mandir=%_mandir \
--infodir=%_infodir \
--without-bash-malloc \
--enable-static-link \
--enable-help-builtin \
--enable-job-control \
--enable-history \
--enable-progcomp \
--enable-readline  \
--with-installed-readline \
--enable-multibyte \
--disable-profiling \
--enable-bang-history \
--with-ncurses
sed -i "/^TERMCAP_LIB/s:-lncurses:-Wl,-Bstatic -lncurses -Wl,-Bdynamic:" Makefile
make strip

%install
rm -rf $RPM_BUILD_ROOT
make install-strip DESTDIR=$RPM_BUILD_ROOT
ln -s /bin/bash $RPM_BUILD_ROOT/bin/sh
ln -s /bin/bash $RPM_BUILD_ROOT/bin/ksh
rm -f $RPM_BUILD_ROOT%_infodir/dir

%files
%defattr(-,root,root)
/bin/bash
/bin/bashbug
/bin/sh
/bin/ksh
%{_infodir}/bash.info.gz
%{_datadir}/locale/*/LC_MESSAGES/bash.mo
/usr/share/man/man1/bash.1.gz
/usr/share/man/man1/bashbug.1.gz

%files doc
%defattr(-,root,root)
/usr/share/info/bash.info.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jan 21 2010 Karsten Brockmann <arcam@ccux-linux.de> 1:4.1-1
- Version update
- patchlevel 002
* Wed Feb 25 2009 Karsten Brockmann <arcam@ccux-linux.de> 1:4.0-1
- Version update
* Mon Dec 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1:3.2-4
- updated to patchlevel 048
- split info documentation files to -doc package to break
circular package dependency with bash
* Wed Dec 26 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:3.2-3
- updated to patchlevel 032
* Sat Oct 13 2007 Karsten Brockmann <arcam@ccux-linux.de> 1:3.2-2
- updated to patchlevel 025
* Sun Dec 31 2006 Karsten Brockmann <arcam@ccux-linux.de> 1:3.2-1
- Version update
- added patchsets up to 009
* Fri Oct 13 2006 Christian Metzen <metzench@ccux-linux.de> 1:3.1-2
- back to 3.1 for now
* Thu Oct 12 2006 Christian Metzen <metzench@ccux-linux.de> 3.2-1
- Version update
* Sat Dec 24 2005 Karsten Brockmann <arcam@ccux-linux.de> 3.1-1
- Version update, added ksh symlink
* Fri Dec 09 2005 Christian Metzen <metzench@ccux-linux.de> 3.0.16-1
- Version update
* Sat Jul 02 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.0-6
- Added provide : eval
* Fri Jul 01 2005 Christian Metzen <metzench@ccux-linux.de> 3.0-5
- Added info file install
* Mon Jun 27 2005 Stefan Gottwald <gotti@ccux-linux.de> 3.0-4
- change some configure options
* Thu Jun 23 2005 Christian Metzen <metzench@ccux-linux.de> 3.0-3
- Tweaked specfile, added Patch
* Mon May 23 2005 Karsten Brockmann <brockmka@rz.fh-augsburg.de> 3.0-2
- rebuilt spec, built against readline 5.0
* Wed Aug 11 2004 Christian Metzen <metzench@ccux-linux.de> 3.0-1
- Initial Release
